/*!
* agmd v0.3.10
* author:kakajun <253495832@qq.com>
* Fri Nov 17 2023 15:04:26 GMT+0800 (中国标准时间)
*/
"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// node_modules/.store/ms@2.1.2/node_modules/ms/index.js
var require_ms = __commonJS({
  "node_modules/.store/ms@2.1.2/node_modules/ms/index.js"(exports, module2) {
    var s = 1e3;
    var m = s * 60;
    var h = m * 60;
    var d = h * 24;
    var w = d * 7;
    var y = d * 365.25;
    module2.exports = function(val, options2) {
      options2 = options2 || {};
      var type = typeof val;
      if (type === "string" && val.length > 0) {
        return parse(val);
      } else if (type === "number" && isFinite(val)) {
        return options2.long ? fmtLong(val) : fmtShort(val);
      }
      throw new Error(
        "val is not a non-empty string or a valid number. val=" + JSON.stringify(val)
      );
    };
    function parse(str) {
      str = String(str);
      if (str.length > 100) {
        return;
      }
      var match = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
        str
      );
      if (!match) {
        return;
      }
      var n = parseFloat(match[1]);
      var type = (match[2] || "ms").toLowerCase();
      switch (type) {
        case "years":
        case "year":
        case "yrs":
        case "yr":
        case "y":
          return n * y;
        case "weeks":
        case "week":
        case "w":
          return n * w;
        case "days":
        case "day":
        case "d":
          return n * d;
        case "hours":
        case "hour":
        case "hrs":
        case "hr":
        case "h":
          return n * h;
        case "minutes":
        case "minute":
        case "mins":
        case "min":
        case "m":
          return n * m;
        case "seconds":
        case "second":
        case "secs":
        case "sec":
        case "s":
          return n * s;
        case "milliseconds":
        case "millisecond":
        case "msecs":
        case "msec":
        case "ms":
          return n;
        default:
          return void 0;
      }
    }
    function fmtShort(ms) {
      var msAbs = Math.abs(ms);
      if (msAbs >= d) {
        return Math.round(ms / d) + "d";
      }
      if (msAbs >= h) {
        return Math.round(ms / h) + "h";
      }
      if (msAbs >= m) {
        return Math.round(ms / m) + "m";
      }
      if (msAbs >= s) {
        return Math.round(ms / s) + "s";
      }
      return ms + "ms";
    }
    function fmtLong(ms) {
      var msAbs = Math.abs(ms);
      if (msAbs >= d) {
        return plural(ms, msAbs, d, "day");
      }
      if (msAbs >= h) {
        return plural(ms, msAbs, h, "hour");
      }
      if (msAbs >= m) {
        return plural(ms, msAbs, m, "minute");
      }
      if (msAbs >= s) {
        return plural(ms, msAbs, s, "second");
      }
      return ms + " ms";
    }
    function plural(ms, msAbs, n, name) {
      var isPlural = msAbs >= n * 1.5;
      return Math.round(ms / n) + " " + name + (isPlural ? "s" : "");
    }
  }
});

// node_modules/.store/debug@4.3.4/node_modules/debug/src/common.js
var require_common = __commonJS({
  "node_modules/.store/debug@4.3.4/node_modules/debug/src/common.js"(exports, module2) {
    function setup(env2) {
      createDebug.debug = createDebug;
      createDebug.default = createDebug;
      createDebug.coerce = coerce;
      createDebug.disable = disable;
      createDebug.enable = enable;
      createDebug.enabled = enabled2;
      createDebug.humanize = require_ms();
      createDebug.destroy = destroy;
      Object.keys(env2).forEach((key) => {
        createDebug[key] = env2[key];
      });
      createDebug.names = [];
      createDebug.skips = [];
      createDebug.formatters = {};
      function selectColor(namespace) {
        let hash = 0;
        for (let i = 0; i < namespace.length; i++) {
          hash = (hash << 5) - hash + namespace.charCodeAt(i);
          hash |= 0;
        }
        return createDebug.colors[Math.abs(hash) % createDebug.colors.length];
      }
      createDebug.selectColor = selectColor;
      function createDebug(namespace) {
        let prevTime;
        let enableOverride = null;
        let namespacesCache;
        let enabledCache;
        function debug4(...args) {
          if (!debug4.enabled) {
            return;
          }
          const self2 = debug4;
          const curr = Number(/* @__PURE__ */ new Date());
          const ms = curr - (prevTime || curr);
          self2.diff = ms;
          self2.prev = prevTime;
          self2.curr = curr;
          prevTime = curr;
          args[0] = createDebug.coerce(args[0]);
          if (typeof args[0] !== "string") {
            args.unshift("%O");
          }
          let index = 0;
          args[0] = args[0].replace(/%([a-zA-Z%])/g, (match, format2) => {
            if (match === "%%") {
              return "%";
            }
            index++;
            const formatter = createDebug.formatters[format2];
            if (typeof formatter === "function") {
              const val = args[index];
              match = formatter.call(self2, val);
              args.splice(index, 1);
              index--;
            }
            return match;
          });
          createDebug.formatArgs.call(self2, args);
          const logFn = self2.log || createDebug.log;
          logFn.apply(self2, args);
        }
        debug4.namespace = namespace;
        debug4.useColors = createDebug.useColors();
        debug4.color = createDebug.selectColor(namespace);
        debug4.extend = extend;
        debug4.destroy = createDebug.destroy;
        Object.defineProperty(debug4, "enabled", {
          enumerable: true,
          configurable: false,
          get: () => {
            if (enableOverride !== null) {
              return enableOverride;
            }
            if (namespacesCache !== createDebug.namespaces) {
              namespacesCache = createDebug.namespaces;
              enabledCache = createDebug.enabled(namespace);
            }
            return enabledCache;
          },
          set: (v) => {
            enableOverride = v;
          }
        });
        if (typeof createDebug.init === "function") {
          createDebug.init(debug4);
        }
        return debug4;
      }
      function extend(namespace, delimiter) {
        const newDebug = createDebug(this.namespace + (typeof delimiter === "undefined" ? ":" : delimiter) + namespace);
        newDebug.log = this.log;
        return newDebug;
      }
      function enable(namespaces) {
        createDebug.save(namespaces);
        createDebug.namespaces = namespaces;
        createDebug.names = [];
        createDebug.skips = [];
        let i;
        const split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
        const len = split.length;
        for (i = 0; i < len; i++) {
          if (!split[i]) {
            continue;
          }
          namespaces = split[i].replace(/\*/g, ".*?");
          if (namespaces[0] === "-") {
            createDebug.skips.push(new RegExp("^" + namespaces.slice(1) + "$"));
          } else {
            createDebug.names.push(new RegExp("^" + namespaces + "$"));
          }
        }
      }
      function disable() {
        const namespaces = [
          ...createDebug.names.map(toNamespace),
          ...createDebug.skips.map(toNamespace).map((namespace) => "-" + namespace)
        ].join(",");
        createDebug.enable("");
        return namespaces;
      }
      function enabled2(name) {
        if (name[name.length - 1] === "*") {
          return true;
        }
        let i;
        let len;
        for (i = 0, len = createDebug.skips.length; i < len; i++) {
          if (createDebug.skips[i].test(name)) {
            return false;
          }
        }
        for (i = 0, len = createDebug.names.length; i < len; i++) {
          if (createDebug.names[i].test(name)) {
            return true;
          }
        }
        return false;
      }
      function toNamespace(regexp) {
        return regexp.toString().substring(2, regexp.toString().length - 2).replace(/\.\*\?$/, "*");
      }
      function coerce(val) {
        if (val instanceof Error) {
          return val.stack || val.message;
        }
        return val;
      }
      function destroy() {
        console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
      }
      createDebug.enable(createDebug.load());
      return createDebug;
    }
    module2.exports = setup;
  }
});

// node_modules/.store/debug@4.3.4/node_modules/debug/src/browser.js
var require_browser = __commonJS({
  "node_modules/.store/debug@4.3.4/node_modules/debug/src/browser.js"(exports, module2) {
    exports.formatArgs = formatArgs;
    exports.save = save;
    exports.load = load;
    exports.useColors = useColors;
    exports.storage = localstorage();
    exports.destroy = (() => {
      let warned = false;
      return () => {
        if (!warned) {
          warned = true;
          console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
        }
      };
    })();
    exports.colors = [
      "#0000CC",
      "#0000FF",
      "#0033CC",
      "#0033FF",
      "#0066CC",
      "#0066FF",
      "#0099CC",
      "#0099FF",
      "#00CC00",
      "#00CC33",
      "#00CC66",
      "#00CC99",
      "#00CCCC",
      "#00CCFF",
      "#3300CC",
      "#3300FF",
      "#3333CC",
      "#3333FF",
      "#3366CC",
      "#3366FF",
      "#3399CC",
      "#3399FF",
      "#33CC00",
      "#33CC33",
      "#33CC66",
      "#33CC99",
      "#33CCCC",
      "#33CCFF",
      "#6600CC",
      "#6600FF",
      "#6633CC",
      "#6633FF",
      "#66CC00",
      "#66CC33",
      "#9900CC",
      "#9900FF",
      "#9933CC",
      "#9933FF",
      "#99CC00",
      "#99CC33",
      "#CC0000",
      "#CC0033",
      "#CC0066",
      "#CC0099",
      "#CC00CC",
      "#CC00FF",
      "#CC3300",
      "#CC3333",
      "#CC3366",
      "#CC3399",
      "#CC33CC",
      "#CC33FF",
      "#CC6600",
      "#CC6633",
      "#CC9900",
      "#CC9933",
      "#CCCC00",
      "#CCCC33",
      "#FF0000",
      "#FF0033",
      "#FF0066",
      "#FF0099",
      "#FF00CC",
      "#FF00FF",
      "#FF3300",
      "#FF3333",
      "#FF3366",
      "#FF3399",
      "#FF33CC",
      "#FF33FF",
      "#FF6600",
      "#FF6633",
      "#FF9900",
      "#FF9933",
      "#FFCC00",
      "#FFCC33"
    ];
    function useColors() {
      if (typeof window !== "undefined" && window.process && (window.process.type === "renderer" || window.process.__nwjs)) {
        return true;
      }
      if (typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)) {
        return false;
      }
      return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || // Is firebug? http://stackoverflow.com/a/398120/376773
      typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || // Is firefox >= v31?
      // https://developer.mozilla.org/en-US/docs/Tools/Web_Console#Styling_messages
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || // Double check webkit in userAgent just in case we are in a worker
      typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
    }
    function formatArgs(args) {
      args[0] = (this.useColors ? "%c" : "") + this.namespace + (this.useColors ? " %c" : " ") + args[0] + (this.useColors ? "%c " : " ") + "+" + module2.exports.humanize(this.diff);
      if (!this.useColors) {
        return;
      }
      const c = "color: " + this.color;
      args.splice(1, 0, c, "color: inherit");
      let index = 0;
      let lastC = 0;
      args[0].replace(/%[a-zA-Z%]/g, (match) => {
        if (match === "%%") {
          return;
        }
        index++;
        if (match === "%c") {
          lastC = index;
        }
      });
      args.splice(lastC, 0, c);
    }
    exports.log = console.debug || console.log || (() => {
    });
    function save(namespaces) {
      try {
        if (namespaces) {
          exports.storage.setItem("debug", namespaces);
        } else {
          exports.storage.removeItem("debug");
        }
      } catch (error) {
      }
    }
    function load() {
      let r;
      try {
        r = exports.storage.getItem("debug");
      } catch (error) {
      }
      if (!r && typeof process !== "undefined" && "env" in process) {
        r = process.env.DEBUG;
      }
      return r;
    }
    function localstorage() {
      try {
        return localStorage;
      } catch (error) {
      }
    }
    module2.exports = require_common()(exports);
    var { formatters } = module2.exports;
    formatters.j = function(v) {
      try {
        return JSON.stringify(v);
      } catch (error) {
        return "[UnexpectedJSONParseError]: " + error.message;
      }
    };
  }
});

// node_modules/.store/has-flag@4.0.0/node_modules/has-flag/index.js
var require_has_flag = __commonJS({
  "node_modules/.store/has-flag@4.0.0/node_modules/has-flag/index.js"(exports, module2) {
    "use strict";
    module2.exports = (flag, argv = process.argv) => {
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const position = argv.indexOf(prefix + flag);
      const terminatorPosition = argv.indexOf("--");
      return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
    };
  }
});

// node_modules/.store/supports-color@8.1.1/node_modules/supports-color/index.js
var require_supports_color = __commonJS({
  "node_modules/.store/supports-color@8.1.1/node_modules/supports-color/index.js"(exports, module2) {
    "use strict";
    var os = require("os");
    var tty = require("tty");
    var hasFlag = require_has_flag();
    var { env: env2 } = process;
    var flagForceColor;
    if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false") || hasFlag("color=never")) {
      flagForceColor = 0;
    } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
      flagForceColor = 1;
    }
    function envForceColor() {
      if ("FORCE_COLOR" in env2) {
        if (env2.FORCE_COLOR === "true") {
          return 1;
        }
        if (env2.FORCE_COLOR === "false") {
          return 0;
        }
        return env2.FORCE_COLOR.length === 0 ? 1 : Math.min(Number.parseInt(env2.FORCE_COLOR, 10), 3);
      }
    }
    function translateLevel(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor(haveStream, { streamIsTTY, sniffFlags = true } = {}) {
      const noFlagForceColor = envForceColor();
      if (noFlagForceColor !== void 0) {
        flagForceColor = noFlagForceColor;
      }
      const forceColor = sniffFlags ? flagForceColor : noFlagForceColor;
      if (forceColor === 0) {
        return 0;
      }
      if (sniffFlags) {
        if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
          return 3;
        }
        if (hasFlag("color=256")) {
          return 2;
        }
      }
      if (haveStream && !streamIsTTY && forceColor === void 0) {
        return 0;
      }
      const min = forceColor || 0;
      if (env2.TERM === "dumb") {
        return min;
      }
      if (process.platform === "win32") {
        const osRelease = os.release().split(".");
        if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env2) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE", "DRONE"].some((sign) => sign in env2) || env2.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env2) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env2.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env2.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env2) {
        const version = Number.parseInt((env2.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env2.TERM_PROGRAM) {
          case "iTerm.app":
            return version >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env2.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env2.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env2) {
        return 1;
      }
      return min;
    }
    function getSupportLevel(stream, options2 = {}) {
      const level = supportsColor(stream, {
        streamIsTTY: stream && stream.isTTY,
        ...options2
      });
      return translateLevel(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel,
      stdout: getSupportLevel({ isTTY: tty.isatty(1) }),
      stderr: getSupportLevel({ isTTY: tty.isatty(2) })
    };
  }
});

// node_modules/.store/debug@4.3.4/node_modules/debug/src/node.js
var require_node = __commonJS({
  "node_modules/.store/debug@4.3.4/node_modules/debug/src/node.js"(exports, module2) {
    var tty = require("tty");
    var util = require("util");
    exports.init = init;
    exports.log = log;
    exports.formatArgs = formatArgs;
    exports.save = save;
    exports.load = load;
    exports.useColors = useColors;
    exports.destroy = util.deprecate(
      () => {
      },
      "Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`."
    );
    exports.colors = [6, 2, 3, 4, 5, 1];
    try {
      const supportsColor = require_supports_color();
      if (supportsColor && (supportsColor.stderr || supportsColor).level >= 2) {
        exports.colors = [
          20,
          21,
          26,
          27,
          32,
          33,
          38,
          39,
          40,
          41,
          42,
          43,
          44,
          45,
          56,
          57,
          62,
          63,
          68,
          69,
          74,
          75,
          76,
          77,
          78,
          79,
          80,
          81,
          92,
          93,
          98,
          99,
          112,
          113,
          128,
          129,
          134,
          135,
          148,
          149,
          160,
          161,
          162,
          163,
          164,
          165,
          166,
          167,
          168,
          169,
          170,
          171,
          172,
          173,
          178,
          179,
          184,
          185,
          196,
          197,
          198,
          199,
          200,
          201,
          202,
          203,
          204,
          205,
          206,
          207,
          208,
          209,
          214,
          215,
          220,
          221
        ];
      }
    } catch (error) {
    }
    exports.inspectOpts = Object.keys(process.env).filter((key) => {
      return /^debug_/i.test(key);
    }).reduce((obj, key) => {
      const prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, (_, k) => {
        return k.toUpperCase();
      });
      let val = process.env[key];
      if (/^(yes|on|true|enabled)$/i.test(val)) {
        val = true;
      } else if (/^(no|off|false|disabled)$/i.test(val)) {
        val = false;
      } else if (val === "null") {
        val = null;
      } else {
        val = Number(val);
      }
      obj[prop] = val;
      return obj;
    }, {});
    function useColors() {
      return "colors" in exports.inspectOpts ? Boolean(exports.inspectOpts.colors) : tty.isatty(process.stderr.fd);
    }
    function formatArgs(args) {
      const { namespace: name, useColors: useColors2 } = this;
      if (useColors2) {
        const c = this.color;
        const colorCode = "\x1B[3" + (c < 8 ? c : "8;5;" + c);
        const prefix = `  ${colorCode};1m${name} \x1B[0m`;
        args[0] = prefix + args[0].split("\n").join("\n" + prefix);
        args.push(colorCode + "m+" + module2.exports.humanize(this.diff) + "\x1B[0m");
      } else {
        args[0] = getDate() + name + " " + args[0];
      }
    }
    function getDate() {
      if (exports.inspectOpts.hideDate) {
        return "";
      }
      return (/* @__PURE__ */ new Date()).toISOString() + " ";
    }
    function log(...args) {
      return process.stderr.write(util.format(...args) + "\n");
    }
    function save(namespaces) {
      if (namespaces) {
        process.env.DEBUG = namespaces;
      } else {
        delete process.env.DEBUG;
      }
    }
    function load() {
      return process.env.DEBUG;
    }
    function init(debug4) {
      debug4.inspectOpts = {};
      const keys = Object.keys(exports.inspectOpts);
      for (let i = 0; i < keys.length; i++) {
        debug4.inspectOpts[keys[i]] = exports.inspectOpts[keys[i]];
      }
    }
    module2.exports = require_common()(exports);
    var { formatters } = module2.exports;
    formatters.o = function(v) {
      this.inspectOpts.colors = this.useColors;
      return util.inspect(v, this.inspectOpts).split("\n").map((str) => str.trim()).join(" ");
    };
    formatters.O = function(v) {
      this.inspectOpts.colors = this.useColors;
      return util.inspect(v, this.inspectOpts);
    };
  }
});

// node_modules/.store/debug@4.3.4/node_modules/debug/src/index.js
var require_src = __commonJS({
  "node_modules/.store/debug@4.3.4/node_modules/debug/src/index.js"(exports, module2) {
    if (typeof process === "undefined" || process.type === "renderer" || process.browser === true || process.__nwjs) {
      module2.exports = require_browser();
    } else {
      module2.exports = require_node();
    }
  }
});

// node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/compare-aliases.js
var require_compare_aliases = __commonJS({
  "node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/compare-aliases.js"(exports, module2) {
    module2.exports = function compareAliases(env2, ...aliases) {
      return aliases.some((alias) => alias.toLowerCase() === env2.toLowerCase());
    };
  }
});

// node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/modes.enum.js
var require_modes_enum = __commonJS({
  "node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/modes.enum.js"(exports, module2) {
    var Development = {
      dev: "dev",
      development: "development"
    };
    var Production = {
      prod: "prod",
      production: "production"
    };
    module2.exports = {
      Production,
      Development
    };
  }
});

// node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/inspector.js
var require_inspector = __commonJS({
  "node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/inspector.js"(exports, module2) {
    var compare = require_compare_aliases();
    var modes = require_modes_enum();
    function inspector(...envs) {
      const nodeEnv = process.env.NODE_ENV ?? "development";
      if (envs.length === 0) {
        return nodeEnv;
      }
      return envs.reduce((prev, env2) => {
        if (isKnownMode(env2, nodeEnv)) {
          return true;
        }
        return prev || compare(env2, nodeEnv);
      }, false);
    }
    function isKnownMode(env2, nodeEnv) {
      for (const mode of Object.values(modes)) {
        if (compareKnownMode(env2, nodeEnv, Object.values(mode))) {
          return true;
        }
      }
      return false;
    }
    function compareKnownMode(env2, nodeEnv, possibleValues) {
      return compare(env2, ...possibleValues) && compare(nodeEnv, ...possibleValues);
    }
    module2.exports = inspector;
  }
});

// node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/index.js
var require_lib = __commonJS({
  "node_modules/.store/node-environment@0.5.1/node_modules/node-environment/lib/index.js"(exports, module2) {
    module2.exports = {
      env: require_inspector()
    };
  }
});

// src/index.ts
var src_exports = {};
__export(src_exports, {
  getFileNodes: () => getFileNodes,
  getMd: () => getMd
});
module.exports = __toCommonJS(src_exports);

// src/commands/get-file.ts
var import_fs2 = __toESM(require("fs"));
var import_path2 = __toESM(require("path"));
var import_debug2 = __toESM(require_src());

// src/commands/change-path.ts
var import_fs = __toESM(require("fs"));
var import_path = __toESM(require("path"));

// node_modules/.store/kolorist@1.8.0/node_modules/kolorist/dist/esm/index.mjs
var enabled = true;
var globalVar = typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : {};
var supportLevel = 0;
if (globalVar.process && globalVar.process.env && globalVar.process.stdout) {
  const { FORCE_COLOR, NODE_DISABLE_COLORS, NO_COLOR, TERM, COLORTERM } = globalVar.process.env;
  if (NODE_DISABLE_COLORS || NO_COLOR || FORCE_COLOR === "0") {
    enabled = false;
  } else if (FORCE_COLOR === "1" || FORCE_COLOR === "2" || FORCE_COLOR === "3") {
    enabled = true;
  } else if (TERM === "dumb") {
    enabled = false;
  } else if ("CI" in globalVar.process.env && [
    "TRAVIS",
    "CIRCLECI",
    "APPVEYOR",
    "GITLAB_CI",
    "GITHUB_ACTIONS",
    "BUILDKITE",
    "DRONE"
  ].some((vendor) => vendor in globalVar.process.env)) {
    enabled = true;
  } else {
    enabled = process.stdout.isTTY;
  }
  if (enabled) {
    if (process.platform === "win32") {
      supportLevel = 3;
    } else {
      if (COLORTERM && (COLORTERM === "truecolor" || COLORTERM === "24bit")) {
        supportLevel = 3;
      } else if (TERM && (TERM.endsWith("-256color") || TERM.endsWith("256"))) {
        supportLevel = 2;
      } else {
        supportLevel = 1;
      }
    }
  }
}
var options = {
  enabled,
  supportLevel
};
function kolorist(start, end, level = 1) {
  const open = `\x1B[${start}m`;
  const close = `\x1B[${end}m`;
  const regex = new RegExp(`\\x1b\\[${end}m`, "g");
  return (str) => {
    return options.enabled && options.supportLevel >= level ? open + ("" + str).replace(regex, open) + close : "" + str;
  };
}
var reset = kolorist(0, 0);
var bold = kolorist(1, 22);
var dim = kolorist(2, 22);
var italic = kolorist(3, 23);
var underline = kolorist(4, 24);
var inverse = kolorist(7, 27);
var hidden = kolorist(8, 28);
var strikethrough = kolorist(9, 29);
var black = kolorist(30, 39);
var red = kolorist(31, 39);
var green = kolorist(32, 39);
var yellow = kolorist(33, 39);
var blue = kolorist(34, 39);
var magenta = kolorist(35, 39);
var cyan = kolorist(36, 39);
var white = kolorist(97, 39);
var gray = kolorist(90, 39);
var lightGray = kolorist(37, 39);
var lightRed = kolorist(91, 39);
var lightGreen = kolorist(92, 39);
var lightYellow = kolorist(93, 39);
var lightBlue = kolorist(94, 39);
var lightMagenta = kolorist(95, 39);
var lightCyan = kolorist(96, 39);
var bgBlack = kolorist(40, 49);
var bgRed = kolorist(41, 49);
var bgGreen = kolorist(42, 49);
var bgYellow = kolorist(43, 49);
var bgBlue = kolorist(44, 49);
var bgMagenta = kolorist(45, 49);
var bgCyan = kolorist(46, 49);
var bgWhite = kolorist(107, 49);
var bgGray = kolorist(100, 49);
var bgLightRed = kolorist(101, 49);
var bgLightGreen = kolorist(102, 49);
var bgLightYellow = kolorist(103, 49);
var bgLightBlue = kolorist(104, 49);
var bgLightMagenta = kolorist(105, 49);
var bgLightCyan = kolorist(106, 49);
var bgLightGray = kolorist(47, 49);

// src/shared/logger.ts
var logger = {
  info(text) {
    console.log(lightBlue(`\u2708 - ${text}`));
  },
  success(text) {
    console.log(lightGreen(`\u2714 - ${text}`));
  },
  warn(text) {
    console.log(lightYellow(`\u25B6 - ${text}`));
  },
  error(text) {
    console.log(lightRed(`\u2716  - ${text}`));
  }
};
var logger_default = logger;

// src/commands/change-path.ts
var import_debug = __toESM(require_src());
var debug = (0, import_debug.default)("change-path");
debug.enabled = false;
function getRelatPath(absoluteImport, fullPath) {
  let relatPath = import_path.default.relative(import_path.default.dirname(fullPath), absoluteImport);
  relatPath = relatPath.replace(/\\/g, "/");
  if (relatPath.indexOf(".") !== 0) {
    relatPath = "./" + relatPath;
  }
  return relatPath;
}
function makeSuffix(filePath, fullPath) {
  let absoluteImport = "";
  if (filePath.indexOf("@") > -1) {
    debug("!!!!!!!!!filePath: ", filePath);
    absoluteImport = filePath.replace("@", process.cwd());
  } else {
    absoluteImport = import_path.default.resolve(import_path.default.dirname(fullPath), filePath);
  }
  debug("makeSuffix \u5165\u53C2: absoluteImport", absoluteImport);
  const lastName = import_path.default.extname(absoluteImport);
  debug("lastName", lastName);
  if (!lastName) {
    debug("!!!!!!!!!!!\u7F3A\u540E\u7F00\u6587\u4EF6: ", absoluteImport);
    const suffix = [".js", ".ts", ".vue", "/index.js", "/index.vue"];
    for (let j = 0; j < suffix.length; j++) {
      const fixStr = suffix[j];
      if (import_fs.default.existsSync(absoluteImport + fixStr)) {
        debug("\u8865\u5168\u7684\u6587\u4EF6: ", absoluteImport + fixStr);
        absoluteImport = absoluteImport + fixStr;
        break;
      }
    }
  }
  return absoluteImport.replace(/\\/g, "/");
}
function getImportName(ele) {
  let str = "";
  const ignore = [
    "xiwicloud",
    "bpmn-js",
    "element-ui",
    "lodash",
    "handsontable",
    "nprogress",
    "quill",
    "qrcodejs2",
    "echarts"
  ];
  const flag = ignore.some((item) => ele.indexOf(item) > -1);
  const reg = / from [\"|\'](.*)[\'|\"]/;
  if (!flag && ele.indexOf("/") > -1 && ele.indexOf("//") !== 0) {
    const impStr = ele.match(reg);
    if (impStr && impStr[1])
      str = impStr[1];
  }
  return str;
}
function changeImport(ele, fullPath, nochangePath) {
  const obj = {
    impName: "",
    filePath: "",
    absoluteImport: ""
  };
  const impName = getImportName(ele);
  if (impName) {
    obj.filePath = impName;
    debug("!!!!!!!!!\u5339\u914Dimp: ", impName);
    obj.absoluteImport = makeSuffix(obj.filePath, fullPath);
    debug("\u8865\u8FC7\u540E", obj.absoluteImport);
    if (!nochangePath) {
      obj.impName = getRelatPath(obj.absoluteImport, fullPath);
      debug("\u76F8\u5BF9\u8DEF\u5F84: ", obj.impName);
    }
  }
  return obj;
}

// src/commands/get-file.ts
var import_node_environment = __toESM(require_lib());
var debug2 = (0, import_debug2.default)("get-file");
debug2.enabled = false;
var isDev = (0, import_node_environment.env)() === "development";
function getFile(fullPath) {
  const str = import_fs2.default.readFileSync(fullPath, "utf-8");
  const size = str.length;
  const sarr = str.split(/[\n]/g);
  const rowSize = sarr.length;
  const imports = getImport(sarr, fullPath);
  const f = sarr[0].indexOf("eslint") === -1 && (sarr[0].indexOf("-->") > -1 || sarr[0].indexOf("*/") > -1 || sarr[0].indexOf("//") > -1) ? sarr[0] : "";
  return {
    note: f.replace(/<\/?[^>]*>|(\n|\r)/g, ""),
    // 去掉尾巴换行符号
    size,
    rowSize,
    imports
  };
}
function getImport(sarr, fullPath) {
  const imports = [];
  sarr.forEach((ele) => {
    if (ele.indexOf("from") > -1) {
      const { absoluteImport } = changeImport(ele, fullPath);
      if (absoluteImport) {
        imports.push(absoluteImport);
      }
    }
  });
  return imports;
}
function getFileNodes(dir = process.cwd(), option, nodes = [], level = 0) {
  let ignore = [
    // 'api',
    // 'src',
    "bin",
    "lib",
    "jest.config.js",
    "router",
    "img",
    "styles",
    "node_modules",
    "LICENSE",
    ".git",
    ".github",
    "dist",
    ".husky",
    ".vscode",
    ".eslintrc.js",
    "readme-file.js",
    "readme-md.js"
  ];
  let include = isDev ? [".js", ".vue"] : [".js", ".vue", ".ts"];
  if (option) {
    ignore = option.ignore || ignore;
    include = option.include || include;
  }
  const files = import_fs2.default.readdirSync(dir).map((item) => {
    const fullPath = import_path2.default.join(dir, item);
    const isDir = import_fs2.default.lstatSync(fullPath).isDirectory();
    return {
      name: item,
      isDir,
      level,
      note: "",
      imports: new Array(),
      belongTo: new Array()
    };
  }).sort((a, b) => {
    if (!a.isDir && b.isDir)
      return 1;
    if (a.isDir && !b.isDir)
      return -1;
    if (a.isDir && b.isDir || !a.isDir && !b.isDir)
      return 0;
    return 0;
  });
  for (let index = 0; index < files.length; index += 1) {
    const item = files[index];
    const foldFlag = ignore.findIndex((obj) => obj === item.name);
    if (foldFlag === -1) {
      const fullPath = import_path2.default.join(dir, item.name);
      const isDir = import_fs2.default.lstatSync(fullPath).isDirectory();
      if (isDir) {
        getFileNodes(fullPath, option, item.children = [], level + 1);
        item.fullPath = fullPath.replace(/\\/g, "/");
        nodes.push(item);
      } else {
        const i = fullPath.lastIndexOf(".");
        const lastName = fullPath.substring(i);
        if (include.includes(lastName)) {
          const obj = getFile(fullPath);
          Object.assign(item, obj);
          item.suffix = lastName;
          item.fullPath = fullPath.replace(/\\/g, "/");
          nodes.push(item);
        }
      }
    }
  }
  return nodes;
}
function getNote(datas, keys) {
  const nodes = keys || [];
  datas.forEach((obj, index) => {
    const last = index === datas.length - 1;
    if (obj.children) {
      getNote(obj.children, nodes);
    }
    const md = setMd(obj, last);
    nodes.push(md);
  });
  return nodes;
}
function setMd(obj, last) {
  let filesString = "";
  const blank = "\u2502 ".repeat(obj.level);
  const pre = `${blank}${last ? "\u2514\u2500\u2500" : "\u251C\u2500\u2500"} ${obj.name}`;
  if (obj.isDir) {
    filesString += `${pre}
`;
  } else {
    filesString += `${pre}            ${obj.note}
`;
  }
  return filesString;
}

// src/commands/wirte-md.ts
var import_debug3 = __toESM(require_src());
var rootPath = process.cwd().replace(/\\/g, "/");
var debug3 = (0, import_debug3.default)("wirte-md");
debug3.enabled = false;
function getCountMd(datas) {
  let rowTotleNumber = 0;
  let sizeTotleNumber = 0;
  const coutObj = {};
  function getDeatle(nodes) {
    nodes.forEach((obj) => {
      if (obj.children)
        getDeatle(obj.children);
      else if (obj.suffix && obj.rowSize && obj.size) {
        if (!coutObj.hasOwnProperty(obj.suffix))
          coutObj[obj.suffix] = 0;
        coutObj[obj.suffix]++;
        rowTotleNumber += obj.rowSize;
        sizeTotleNumber += obj.size;
      }
    });
  }
  getDeatle(datas);
  return {
    rowTotleNumber,
    sizeTotleNumber,
    coutObj
  };
}
function format(num) {
  var reg = /\d{1,3}(?=(\d{3})+$)/g;
  return (num + "").replace(reg, "$&,");
}
function setCountMd(obj) {
  const { rowTotleNumber, sizeTotleNumber, coutObj } = obj;
  let countMd = "\u{1F60D}  \u4EE3\u7801\u603B\u6570\u7EDF\u8BA1\uFF1A\n";
  let totle = 0;
  for (const key in coutObj) {
    const ele = coutObj[key];
    totle += ele;
    countMd += `\u540E\u7F00\u662F ${key} \u7684\u6587\u4EF6\u6709 ${ele} \u4E2A
`;
  }
  countMd += `\u603B\u5171\u6709 ${totle} \u4E2A\u6587\u4EF6
`;
  let md = `\u603B\u4EE3\u7801\u884C\u6570\u6709: ${format(rowTotleNumber)}\u884C,
\u603B\u4EE3\u7801\u5B57\u6570\u6709: ${format(sizeTotleNumber)}\u4E2A
`;
  md = countMd + md;
  return md;
}
function getMd(option) {
  logger_default.success("\u{1F449}  \u547D\u4EE4\u8FD0\u884C\u4F4D\u7F6E: " + process.cwd() + "\n");
  const nodes = getFileNodes(rootPath, option);
  const countMdObj = getCountMd(nodes);
  const coutMd = setCountMd(countMdObj);
  logger_default.success(coutMd);
  const note = getNote(nodes);
  const md = note.join("") + "\n";
  if (md.length > 0) {
    logger_default.success("\u{1F004}\uFE0F  \u751F\u6210MarkDown\u5B8C\u6BD5 !");
  }
  return { md: md + coutMd, nodes };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getFileNodes,
  getMd
});
//# sourceMappingURL=index.cjs.js.map
