export declare function getFile(fullPath: string): {
    note: string;
    size: number;
    rowSize: number;
    imports: string[];
};
export declare function getImport(sarr: any[], fullPath: string): string[];
export type ItemType = {
    name: string;
    copyed?: boolean;
    isDir: boolean;
    level: number;
    note: string;
    size?: number;
    suffix?: string;
    rowSize?: number;
    fullPath: string;
    belongTo: string[];
    imports: string[];
    children?: ItemType[];
};
export declare function getFileNodes(dir?: string, option?: {
    ignore: string[] | undefined;
    include: string[] | undefined;
} | undefined, nodes?: ItemType[], level?: number): ItemType[];
export declare function getNote(datas: ItemType[], keys?: string[]): string[];
